Intermittent browser_947914_button_print.js | Uncaught exception - Condition timed out: () => gInPrintPreviewMode | Found an unexpected at the end of test run

RESOLVED WORKSFORME

Status

()

RESOLVED WORKSFORME
2 years ago
2 years ago

People

(Reporter: RyanVM, Unassigned)

Tracking

({intermittent-failure})

Trunk
Unspecified
Windows
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox48 fixed, firefox49 fixed, firefox50 fixed)

Details

Attachments

(1 attachment)

(Reporter)

Description

2 years ago
Created attachment 8758755 [details]
screenshot

Seeing this pretty frequently on Windows debug since the mochitest-cl manifest changes landed for that directory. I'm guessing the test depends on state which was disrupted by some of the earlier tests no longer running before it.

https://treeherder.mozilla.org/logviewer.html#?job_id=186210&repo=ash#L8312

10:33:37     INFO -  TEST-INFO | started process screenshot
10:33:37     INFO -  TEST-INFO | screenshot: exit 0
10:33:37     INFO -  175 INFO checking window state
10:33:37     INFO -  176 INFO Entering test bound
10:33:37     INFO -  177 INFO Check print button existence and functionality
10:33:37     INFO -  178 INFO Menu panel was opened
10:33:37     INFO -  179 INFO TEST-PASS | browser/components/customizableui/test/browser_947914_button_print.js | Print button exists in Panel Menu -
10:33:37     INFO -  180 INFO Console message: [JavaScript Error: "[Exception... "Component returned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsIWebBrowserPrint.printPreview]"  nsresult: "0x80070057 (NS_ERROR_ILLEGAL_VALUE)"  location: "JS frame :: chrome://global/content/browser-content.js :: enterPrintPreview :: line 485"  data: no]"]
10:33:37     INFO -  181 INFO TEST-UNEXPECTED-FAIL | browser/components/customizableui/test/browser_947914_button_print.js | Uncaught exception - Condition timed out: () => gInPrintPreviewMode
10:33:37     INFO -  182 INFO Leaving test bound
10:33:37     INFO -  183 INFO Entering test bound asyncCleanup
10:33:37     INFO -  184 INFO Leaving test bound asyncCleanup
10:33:37     INFO -  MEMORY STAT | vsize 1169MB | vsizeMaxContiguous 4169873MB | residentFast 465MB | heapAllocated 142MB
10:33:37     INFO -  185 INFO TEST-OK | browser/components/customizableui/test/browser_947914_button_print.js | took 6773ms
10:33:37     INFO -  ++DOCSHELL 000000374CD34000 == 8 [pid = 4592] [id = 8]
10:33:37     INFO -  ++DOMWINDOW == 16 (0000003751848400) [pid = 4592] [serial = 16] [outer = 0000000000000000]
10:33:37     INFO -  ++DOMWINDOW == 17 (0000003751004000) [pid = 4592] [serial = 17] [outer = 0000003751848400]
10:33:37     INFO -  Not taking screenshot here: see the one that was previously logged
10:33:37     INFO -  186 INFO checking window state
10:33:37     INFO -  187 INFO TEST-UNEXPECTED-FAIL | browser/components/customizableui/test/browser_947914_button_print.js | Found an unexpected  at the end of test run -
18 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 18

Platform breakdown:
* windows7-32: 18

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277270&startday=2016-05-30&endday=2016-06-05&tree=all
20 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 16
* fx-team: 4

Platform breakdown:
* windows7-32: 20

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277270&startday=2016-06-06&endday=2016-06-06&tree=all
Mihaela, any ideas what is going on here?  This is currently one of our top intermittents.

Thanks.
Flags: needinfo?(moz.mihaelav)
41 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 29
* fx-team: 9
* mozilla-central: 2
* try: 1

Platform breakdown:
* windows7-32: 41

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277270&startday=2016-06-07&endday=2016-06-07&tree=all
39 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 28
* fx-team: 9
* try: 1
* mozilla-central: 1

Platform breakdown:
* windows7-32: 39

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277270&startday=2016-06-08&endday=2016-06-08&tree=all
22 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 14
* fx-team: 5
* try: 2
* mozilla-central: 1

Platform breakdown:
* windows7-32: 22

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277270&startday=2016-06-09&endday=2016-06-09&tree=all
26 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 17
* fx-team: 5
* mozilla-central: 2
* try: 1
* ash: 1

Platform breakdown:
* windows7-32: 26

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277270&startday=2016-06-10&endday=2016-06-10&tree=all
15 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 9
* try: 4
* fx-team: 2

Platform breakdown:
* windows7-32: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277270&startday=2016-06-11&endday=2016-06-11&tree=all
197 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 134
* fx-team: 42
* try: 12
* mozilla-central: 8
* ash: 1

Platform breakdown:
* windows7-32: 197

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277270&startday=2016-06-06&endday=2016-06-12&tree=all

Updated

2 years ago
Flags: needinfo?(gijskruitbosch+bugs)
26 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 21
* mozilla-central: 2
* try: 1
* fx-team: 1
* ash: 1

Platform breakdown:
* windows7-32: 26

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277270&startday=2016-06-14&endday=2016-06-14&tree=all
19 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 15
* fx-team: 3
* mozilla-central: 1

Platform breakdown:
* windows7-32: 19

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277270&startday=2016-06-15&endday=2016-06-15&tree=all

Comment 12

2 years ago
The log says:

17:37:40 INFO - 138 INFO Console message: [JavaScript Error: "[Exception... "Component returned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsIWebBrowserPrint.printPreview]" nsresult: "0x80070057 (NS_ERROR_ILLEGAL_VALUE)" location: "JS frame :: chrome://global/content/browser-content.js :: enterPrintPreview :: line 621" data: no]"] 

Mike, any idea what's causing that?
Flags: needinfo?(gijskruitbosch+bugs) → needinfo?(mconley)
17 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 15
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* windows7-32: 17

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277270&startday=2016-06-16&endday=2016-06-16&tree=all
101 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 79
* fx-team: 11
* try: 5
* mozilla-central: 5
* ash: 1

Platform breakdown:
* windows7-32: 101

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277270&startday=2016-06-13&endday=2016-06-19&tree=all
22 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 20
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* windows7-32: 22

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277270&startday=2016-06-20&endday=2016-06-20&tree=all
27 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 18
* fx-team: 5
* try: 2
* mozilla-central: 2

Platform breakdown:
* windows7-32: 27

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277270&startday=2016-06-21&endday=2016-06-21&tree=all
20 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 9
* fx-team: 7
* try: 3
* mozilla-central: 1

Platform breakdown:
* windows7-32: 20

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277270&startday=2016-06-22&endday=2016-06-22&tree=all
78 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 47
* fx-team: 15
* try: 9
* mozilla-central: 5
* ash: 2

Platform breakdown:
* windows7-32: 77
* windowsxp: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277270&startday=2016-06-20&endday=2016-06-26&tree=all

Comment 19

2 years ago
Fixed by my patch in bug 1235695, which I also just uplifted.
Status: NEW → RESOLVED
Last Resolved: 2 years ago
status-firefox48: --- → fixed
status-firefox49: affected → fixed
status-firefox50: --- → fixed
Depends on: 1235695
Flags: needinfo?(moz.mihaelav)
Flags: needinfo?(mconley)
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.